> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# Reset Password

POST https://auth/reset-password
Content-Type: application/json

Reference: https://docs.itspropel.com/propel-biz/01-auth/reset-password

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /auth/reset-password:
    post:
      operationId: reset-password
      summary: Reset Password
      tags:
        - subpackage_01Auth
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/01 Auth_Reset Password_Response_200'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  format: email
                token:
                  type: string
                password:
                  type: string
                password_confirmation:
                  type: string
              required:
                - email
                - token
                - password
                - password_confirmation
servers:
  - url: https:/
components:
  schemas:
    01 Auth_Reset Password_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: 01 Auth_Reset Password_Response_200

```

## SDK Code Examples

```python
import requests

url = "https://https/auth/reset-password"

payload = {
    "email": "admin17@propelhub.com",
    "token": "aebcf4dd321585a588b73342a57adb6d3945ee36b31280c9884519799e6b8c9d",
    "password": "Demopassword@136%",
    "password_confirmation": "Demopassword@136%"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://https/auth/reset-password';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"email":"admin17@propelhub.com","token":"aebcf4dd321585a588b73342a57adb6d3945ee36b31280c9884519799e6b8c9d","password":"Demopassword@136%","password_confirmation":"Demopassword@136%"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/auth/reset-password"

	payload := strings.NewReader("{\n  \"email\": \"admin17@propelhub.com\",\n  \"token\": \"aebcf4dd321585a588b73342a57adb6d3945ee36b31280c9884519799e6b8c9d\",\n  \"password\": \"Demopassword@136%\",\n  \"password_confirmation\": \"Demopassword@136%\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/auth/reset-password")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"email\": \"admin17@propelhub.com\",\n  \"token\": \"aebcf4dd321585a588b73342a57adb6d3945ee36b31280c9884519799e6b8c9d\",\n  \"password\": \"Demopassword@136%\",\n  \"password_confirmation\": \"Demopassword@136%\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://https/auth/reset-password")
  .header("Content-Type", "application/json")
  .body("{\n  \"email\": \"admin17@propelhub.com\",\n  \"token\": \"aebcf4dd321585a588b73342a57adb6d3945ee36b31280c9884519799e6b8c9d\",\n  \"password\": \"Demopassword@136%\",\n  \"password_confirmation\": \"Demopassword@136%\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://https/auth/reset-password', [
  'body' => '{
  "email": "admin17@propelhub.com",
  "token": "aebcf4dd321585a588b73342a57adb6d3945ee36b31280c9884519799e6b8c9d",
  "password": "Demopassword@136%",
  "password_confirmation": "Demopassword@136%"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/auth/reset-password");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"email\": \"admin17@propelhub.com\",\n  \"token\": \"aebcf4dd321585a588b73342a57adb6d3945ee36b31280c9884519799e6b8c9d\",\n  \"password\": \"Demopassword@136%\",\n  \"password_confirmation\": \"Demopassword@136%\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "email": "admin17@propelhub.com",
  "token": "aebcf4dd321585a588b73342a57adb6d3945ee36b31280c9884519799e6b8c9d",
  "password": "Demopassword@136%",
  "password_confirmation": "Demopassword@136%"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://https/auth/reset-password")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```